Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: Gebroken pakketsysteem herstellen  (gelezen 893 keer)

Gebroken pakketsysteem herstellen
« Gepost op: 2015/07/02, 10:50:50 »
Hallo,

Al een aantal weken kan ik geen updates meer draaien en of andere programma's installeren omdat er een gebroken pakket staat die ik niet kan verwijderen.
Helaas is het dus ook niet mogelijk op synaptics te installeren, zou dus echt niet meer weten wat te doen.

Hieronder de foutmelding vanuit de terminal als ik het pakket wil verwijderen

fam-geld@Geld:~$ sudo apt-get -f install -y && sudo dpkg --configure -a && sudo apt-get autoremove -y
Pakketlijsten worden ingelezen... Klaar
Boom van vereisten wordt opgebouwd       
De status informatie wordt gelezen... Klaar
Vereisten worden gecorrigeerd... Klaar
De volgende extra pakketten zullen geïnstalleerd worden:
  landscape-client-ui-install python-aptdaemon python-aptdaemon.gtk3widgets
  software-center
De volgende pakketten zullen VERWIJDERD worden:
  python-!ptdaemon.gtk3widgets
De volgende NIEUWE pakketten zullen geïnstalleerd worden:
  python-aptdaemon.gtk3widgets
De volgende pakketten zullen opgewaardeerd worden:
  landscape-client-ui-install python-aptdaemon software-center
3 pakketten opgewaardeerd, 1 pakketten nieuw geïnstalleerd, 1 te verwijderen en 331 niet opgewaardeerd.
Er moeten 412 kB aan archieven opgehaald worden.
Door deze operatie zal er 1024 B extra schijfruimte gebruikt worden.
Ophalen:1 http://nl.archive.ubuntu.com/ubuntu/ trusty-updates/main landscape-client-ui-install amd64 14.12-0ubuntu0.14.04 [6368 B]
Ophalen:2 http://nl.archive.ubuntu.com/ubuntu/ trusty-updates/main software-center all 13.10-0ubuntu4.1 [325 kB]
Ophalen:3 http://nl.archive.ubuntu.com/ubuntu/ trusty-updates/main python-aptdaemon all 1.1.1-1ubuntu5.2 [66,7 kB]
Ophalen:4 http://nl.archive.ubuntu.com/ubuntu/ trusty-updates/main python-aptdaemon.gtk3widgets all 1.1.1-1ubuntu5.2 [13,7 kB]
412 kB opgehaald in 2s (173 kB/s)                     
dpkg: error: parsing file '/var/lib/dpkg/status' near line 11703 package 'software-center':
 `Depends'-veld, ongeldige pakketnaam `python-!ptdaemon.gtk3widgets': teken `!' is niet toegestaan (enkel letters, cijfers en de karakters '-+._' zijn toegestaan)
E: Sub-process /usr/bin/dpkg returned an error code (2)

Offline Ron

  • Forumteam
    • r0n
    • Dwarsligger
  • Steunpunt: Ja
Re: Gebroken pakketsysteem herstellen
« Reactie #1 Gepost op: 2015/07/02, 12:42:53 »
Probeer eens:
sudo apt-get install -f
Hopelijk is dat voldoende, hierna kan je dan updaten en upgraden.
OpenStandaard evangelist, OpenSource promotor, OpenData liefhebber.
Xubuntu gebruiker en voorstander (XFCE).
In Nederland bekend als een dwarsligger.

Offline markba

  • Lid
    • http://markbaaijens.nl/
  • Steunpunt: Ja
Re: Gebroken pakketsysteem herstellen
« Reactie #2 Gepost op: 2015/07/02, 13:44:20 »
Probeer eens:
sudo apt-get install -f
Hopelijk is dat voldoende, hierna kan je dan updaten en upgraden.
Dat heeft de TS al uitgeprobeerd (zie boven):
fam-geld@Geld:~$ sudo apt-get -f install -y && sudo dpkg --configure -a && sudo apt-get autoremove -y
Pakketlijsten worden ingelezen... Klaar
Boom van vereisten wordt opgebouwd       
De status informatie wordt gelezen... Klaar
Vereisten worden gecorrigeerd... Klaar
....
Kan er eerlijk gezegd geen chocola van maken. Het lijkt me geen probleem van gebroken pakketten of zon, maar dat het pakket zelf (de package) niet goed is.

Dit gedeelte is raar:
`Depends'-veld, ongeldige pakketnaam `python-!ptdaemon.gtk3widgets': teken `!' is niet toegestaan (enkel letters, cijfers en de karakters '-+._' zijn toegestaan)En idd het pakket hoort niet python-!ptdaemon.gtk3widgets te heten, maar python-aptdaemon.gtk3widgets
« Laatst bewerkt op: 2015/07/02, 13:46:09 door markba »

Offline vanadium

  • Lid
  • Steunpunt: Nee
Re: Gebroken pakketsysteem herstellen
« Reactie #3 Gepost op: 2015/07/02, 18:04:31 »
Onlangs hadden we in een ander draadje succes met het "vernieuwen" van de pakkettenlijsten:
sudo apt-get clean
cd /var/lib/apt
sudo mv /var/lib/apt/lists /var/lib/apt/lists.old
sudo mkdir -p /var/lib/apt/lists/partial
sudo apt-get clean
sudo apt-get update
Thumbs crossed ....

Offline koos4401

  • Lid
  • Steunpunt: Nee
Re: Gebroken pakketsysteem herstellen
« Reactie #4 Gepost op: 2015/07/02, 21:04:46 »
Tikkie off-topic:

Volgens mijn lezing van de man-page is reactie #1 sudo apt-get -f install fout en reactie #2 sudo apt-get install -f goed.
Wie licht mij even bij?
« Laatst bewerkt op: 2015/07/02, 21:07:52 door koos4401 »
Op 27-okt-2009 om 08.20 GMT geregistreerd als gebruiker nr.: 498523

Re: Gebroken pakketsysteem herstellen
« Reactie #5 Gepost op: 2015/07/05, 14:06:29 »
Bedankt voor de reactie's, echter helaas nog geen resultaat.

De sudo apt-get clean geeft helaas niets weer, hij gaat direct over naar de volgende commmand regel zonder dat hij iets verwerkt.

fam-geld@Geld:~$ sudo apt-get clean
fam-geld@Geld:~$

De sudo apt-get install -f  verwijderd het pakket, echter installeert hij wederom het pakket met ! in de naam, waarna deze weer afgebroken word.

fam-geld@Geld:~$ sudo apt-get install -f
[sudo] password for fam-geld:
Pakketlijsten worden ingelezen... Klaar
Boom van vereisten wordt opgebouwd       
De status informatie wordt gelezen... Klaar
Vereisten worden gecorrigeerd... Klaar
De volgende extra pakketten zullen geïnstalleerd worden:
  landscape-client-ui-install python-aptdaemon python-aptdaemon.gtk3widgets
  software-center
De volgende pakketten zullen VERWIJDERD worden:
  python-!ptdaemon.gtk3widgets
De volgende NIEUWE pakketten zullen geïnstalleerd worden:
  python-aptdaemon.gtk3widgets
De volgende pakketten zullen opgewaardeerd worden:
  landscape-client-ui-install python-aptdaemon software-center
3 pakketten opgewaardeerd, 1 pakketten nieuw geïnstalleerd, 1 te verwijderen en 332 niet opgewaardeerd.
Er moeten 0 B/412 kB aan archieven opgehaald worden.
Door deze operatie zal er 1024 B extra schijfruimte gebruikt worden.
Wilt u doorgaan? [J/n] j
dpkg: error: parsing file '/var/lib/dpkg/status' near line 11703 package 'software-center':
 `Depends'-veld, ongeldige pakketnaam `python-!ptdaemon.gtk3widgets': teken `!' is niet toegestaan (enkel letters, cijfers en de karakters '-+._' zijn toegestaan)
E: Sub-process /usr/bin/dpkg returned an error code (2)
fam-geld@Geld:~$

Is het mogelijk om het pakket handmatig te verwijderen en deze handmatig te installeren?
Ik gebruik Ubuntu nu een aantal maanden kan er aardig mee overweg maar weet nog niet alle mogelijkheden.

Offline EZ-man

  • Lid
  • Steunpunt: Nee
Re: Gebroken pakketsysteem herstellen
« Reactie #6 Gepost op: 2015/07/05, 14:28:16 »
En als je die kleine wijziging doorvoert in het commando uit je eerste bericht?

sudo apt-get install -f && sudo dpkg --configure -a && sudo apt-get autoremove -y
Het is een verkorte schrijfwijze-op-een-regel van:
sudo apt-get install -f
sudo dpkg --configure -a
sudo apt-get autoremove -y
elke regel afzonderlijk invoeren in de termenal, telkens gevolgd door ENTER
« Laatst bewerkt op: 2015/07/05, 14:30:17 door EZ-man »

Offline EZ-man

  • Lid
  • Steunpunt: Nee
Re: Gebroken pakketsysteem herstellen
« Reactie #7 Gepost op: 2015/07/05, 14:38:54 »
En kan je die "vervelende"pakketten niet beter eerst helemaal verwijderen:
sudo apt-get purge landscape-client-ui-install python-aptdaemon python-aptdaemon.gtk3widgets software-center
aanvulling : laat het software-register daarna bijwerken met :
sudo apt-get update
en (sommige daarvan) later eventueel weer toevoegen met
sudo apt-get install software-center                vul-eventueel-maar-aan
« Laatst bewerkt op: 2015/07/05, 14:43:37 door EZ-man »

Offline vanadium

  • Lid
  • Steunpunt: Nee
Re: Gebroken pakketsysteem herstellen
« Reactie #8 Gepost op: 2015/07/05, 17:32:27 »
Mij niet duidelijk of je dit nu al geprobeerd hebt.

Re: Gebroken pakketsysteem herstellen
« Reactie #9 Gepost op: 2015/07/06, 09:40:16 »
@ Vanadium, ja ik heb deze geprobeerd, echter pakt hij de clean al niet op, hij meld niets en gaat direct over naar de volgende command regel.
Heb je oplossing door gelopen, zie onderstaande uitkomst:

fam-geld@Geld:~$ sudo apt-get clean
fam-geld@Geld:~$ cd /var/lib/apt
fam-geld@Geld:/var/lib/apt$ sudo mv /var/lib/apt/lists /var/lib/apt/lists.old
mv: kan ‘/var/lib/apt/lists’ niet verplaatsen naar ‘/var/lib/apt/lists.old/lists’: Map is niet leeg
fam-geld@Geld:/var/lib/apt$ sudo mkdir -p /var/lib/apt/lists/partial
fam-geld@Geld:/var/lib/apt$ sudo apt-get clean
fam-geld@Geld:/var/lib/apt$

Re: Gebroken pakketsysteem herstellen
« Reactie #10 Gepost op: 2015/07/06, 09:43:11 »
En kan je die "vervelende"pakketten niet beter eerst helemaal verwijderen:
sudo apt-get purge landscape-client-ui-install python-aptdaemon python-aptdaemon.gtk3widgets software-center
Helaas is het pakket nog niet geinstaleerd en kan ik deze niet deinstaleren, zie onderstaande:

fam-geld@Geld:~$ sudo apt-get purge landscape-client-ui-install python-aptdaemon python-aptdaemon.gtk3widgets software-center
Pakketlijsten worden ingelezen... Klaar
Boom van vereisten wordt opgebouwd       
De status informatie wordt gelezen... Klaar
Package 'python-aptdaemon.gtk3widgets' is not installed, so not removed
U wilt waarschijnlijk 'apt-get -f install' uitvoeren om volgende op te lossen:
De volgende pakketten hebben niet-voldane vereisten:
 python-!ptdaemon.gtk3widgets : Vereisten: python-aptdaemon (= 1.1.1-1ubuntu5.1) maar het zal niet geïnstalleerd worden
 sessioninstaller : Vereisten: python-aptdaemon.gtk3widgets maar het zal niet geïnstalleerd worden
 ubuntu-desktop : Vereisten: software-center maar het zal niet geïnstalleerd worden
                  Aanbevelingen: landscape-client-ui-install maar het zal niet geïnstalleerd worden
E: Er zijn niet-voldane vereisten. U kunt best 'apt-get -f install' uitvoeren zonder pakketten op te geven, (of u kunt zelf een oplossing specificeren).
fam-geld@Geld:~$